<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.2//EN" "http://struts.apache.org/dtds/struts-config_1_2.dtd">

<struts-config>
  <data-sources />
  <form-beans >
    <form-bean name="gbookForm" type="cn.jack.struts.GbookForm" />
    <form-bean name="loginsForm" type="cn.jack.struts.LoginsForm" />
    <form-bean name="searchForm" type="cn.jack.struts.SearchForm" />

  </form-beans>

  <global-exceptions />
  <global-forwards >
    <forward
      name="main"
      path="gbook.do?action=list"
      redirect="true" />
    <forward name="manager" path="gbook.do?action=list" redirect="true" />
    

  </global-forwards>

  <action-mappings >
  <!-- 登录跳转 -->
  <action path="/login" forward="/WEB-INF/JSP/logins.jsp"/>
   <!-- 回复跳转 -->
  <action path="/replay" forward="/WEB-INF/JSP/replay.jsp"/>
   <!--添加用户 -->
  <action path="/adduser" forward="/WEB-INF/JSP/adduser.jsp"/>
    <action
      attribute="gbookForm"
      input="/WEB-INF/JSP/main.jsp"
      name="gbookForm"
      path="/gbook"
      scope="request"
      type="org.springframework.web.struts.DelegatingActionProxy"
      validate="false">
      <forward name="list" path="/WEB-INF/JSP/list.jsp"/>
      </action>
    <action
      attribute="loginsForm"
      input="/WEB-INF/JSP/logins.jsp"
      name="loginsForm"
      path="/logins"
      scope="request"
      type="org.springframework.web.struts.DelegatingActionProxy"
      validate="false">
      <forward name="editpa" path="/WEB-INF/JSP/editpass.jsp"/>
      </action>
    <action
      attribute="searchForm"
      input="/WEB-INF/JSP/s.jsp"
      name="searchForm"
      path="/search"
      scope="request"
      type="org.springframework.web.struts.DelegatingActionProxy"
      validate="false">
      <forward name="searchlist" path="/WEB-INF/JSP/search.jsp"/>
      </action>
   

  </action-mappings>

  <message-resources parameter="resources.application" />
  <plug-in className="org.springframework.web.struts.ContextLoaderPlugIn">
    <set-property property="contextConfigLocation" value="/WEB-INF/applicationContext.xml" />
  </plug-in>
</struts-config>

